Bug 13218 - Portmap man page contradicts itself
Summary: Portmap man page contradicts itself
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: portmap   
(Show other bugs)
Version: 6.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-06-29 16:57 UTC by Joshua Jensen
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-06-29 16:57:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Joshua Jensen 2000-06-29 16:57:57 UTC
The entire mention of portmap's TCPWRAPPERS in the man page of portmap
says:

     This portmap version is protected by the tcp_wrapper library. You
have 		to
     give the clients access to portmap if they should be allowed to use 	
it.
     To allow connects from clients of the .bar.com domain you could use 	
the
     following line in /etc/hosts.allow:
     portmap: .bar.com
     You have to use the daemon name portmap for the daemon name (even if 	
the
     binary has a different name). For the client names you can only use 	
the
     keyword ALL or IP addresses (NOT host or domain names).
     For further information please have a look at the tcpd((8)),  		
hosts_al-
     low((5)) and hosts_access((5)) manual pages.


Notice how .bar.com is not an IP address?  This example needs to be fixed,
as it misleads people into thinking that names are allowed.  Please at
least change the man page for RHL 7.0

Comment 1 Trond Eivind Glomsrxd 2001-01-20 01:14:04 UTC
Fixed in portmap-4.0-31. FTR, yes you can use host names and domain names.


Note You need to log in before you can comment on or make changes to this bug.